{% extends 'form.html.twig' %}
{% import 'macro/_forms.html.twig' as macro %}

{% block pageTitle 'Erreurs lors de l\'import' %}


{% block pageActions %}
    {{ macro.backButton('app_service_index') }}
{% endblock %}

{% block pageDetails %}
    <div class="alert alert-primary">
        Certains services n'ont pas pu être importés
    </div>

    {% for error in errors %}
        <div class="alert alert-danger">

            {% for violation in error %}
                {% if violation.root.username is defined %}
                    Entrée : {{ violation.root.username }}, {{ violation.root.firstName }}, {{ violation.root.lastName }}
                    , {{ violation.root.lastName }} <br>
                    Message : {{ violation.message }} <br>
                    Champ en erreur : {{ violation.propertyPath }} <br>
                    Valeur du champ : {{ violation.invalidValue }} <br>

                {% else%}

                    Entrée : {{ violation.parameters | join(',') }} <br>
                    Message: {{ violation.message }} <br>


                {% endif %}

                {% if not loop.last %}
                    <hr>
                {% endif %}

            {% endfor %}
        </div>
    {% endfor %}
{% endblock %}

{% block pageForm %}
{% endblock %}


